Subject: bug#75682: ls -l sometimes shows a year in place of the hour and minute

From: Kasia <[email-masked]>
Date: Sun, 16 Feb 2025 01:54:14 +0000

> df -T .

I was running it under /dev/shm to use a tmpfs.

> - What's your libc version?

2.36

> uname -sr

"Linux 6.1.0-29-amd64"

> ls --version

"ls (GNU coreutils) 9.1"

I'm definitely not using any network file systems.
I don't think I'm running kernel 6.13 or later yet?

The sourceware bugzilla page you linked says, "on glibc 2.30 and older, the time syscall is used if present (which always uses the coarse timer)"

Which does fit what we're seeing here. I'm also seeing this be more likely to trigger on slower machines than my faster machines.

I thought that this was a GNU coreutils bug because the same test using `busybox ls -l` was always giving the hour and time.